# CollectionModify::unset

(No version information available, might only be in Git)

CollectionModify::unset — Unset the value of document fields

### Description

public mysql_xdevapi\CollectionModify::unset ( array `$fields` ) : mysql_xdevapi\CollectionModify

Removes attributes from documents in a collection.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`fields`

  The attributes to remove from documents in a collection.

### Return Values

CollectionModify object that can be used for further processing.

### Examples

Example #1 mysql_xdevapi\CollectionModify::unset() example

`<?php
$res = $coll->modify('job like :job_name')->unset(["age", "name"])->bind(['job_name' => 'Plumber'])->execute();
?>`